Powered Cache 2.0

Powered Cache version 2.0 has been released! The entire plugin has been refactored in this version.

Requirement Changes:

It requires WordPress 5.0 and PHP 5.6 as the bare minimum.

Changes:

  • The vast majority of the codebase has been refactored.
  • Revamped UI.
  • Increased compatibility with 3rd party plugins.
  • Increased multisite and domain mapping compatibility.
  • New Feature: Control caching and lazy load status through the editor.
  • New Feature: Page cache can create a separate cache based on the varied cookie matches.
  • Redis drop-in updated.
  • APCu drop-in updated. (switched to another drop-in)
  • Memcache drop-in updated. (Requires PHP 5.6.20 at minimum)
  • Improved: Accepted query strings recognition.
  • Improved: Deletion of expired cache.
  • New Feature: File Optimization – minify/combine CSS, JS, Google Fonts easily.
  • New Feature: Media Optimization – Control lazyload, WordPress embeds, and emoji scripts.
  • New Feature: Database Optimization – clears out all of the unnecessary data.
  • Removed: Remove query string feature, no longer necessary.
  • Removed: SSL Cache option. It will automatically configure the caching for both HTTP/HTTPS.
  • Removed: Preloader extension. (consolidated into Preload feature)
  • Removed: Minifier extension. (consolidated into File Optimization)
  • Removed: Lazy-load extension. (consolidated into Media Optimization)
  • Updated: Cloudflare Extension. Enter Zone ID without listing all domains.
  • New Feature: Heartbeat Extension. Manage the frequency of the WordPress Heartbeat API.
  • Updated: File export/import format. (now it uses JSON)
  • Tested with WordPress 5.8 and Multisite.
  • Several bug fixes and improvements.

In order to get the benefits of these new features, highly recommended to update it ASAP.

Leave a Comment